unit UntPrin;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls, DB, ADODB, Grids, DBGrids, Buttons;

type
  TFrmPrin = class(TForm)
    TbMSG: TADOTable;
    PageControl1: TPageControl;
    Panel1: TPanel;
    Panel2: TPanel;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Novas: TTabSheet;
    Envidas: TTabSheet;
    Recebidas: TTabSheet;
    TbMSGID: TAutoIncField;
    TbMSGUsuario: TWideStringField;
    TbMSGPARA: TWideStringField;
    TbMSGASSUNTO: TWideStringField;
    TbMSGMSG: TMemoField;
    TbMSGDATA: TDateTimeField;
    DBGNovas: TDBGrid;
    DsMSG: TDataSource;
    Panel3: TPanel;
    Label3: TLabel;
    DBGEnviadas: TDBGrid;
    TbNoVas: TADOTable;
    DsNoVas: TDataSource;
    TbMSGLIDA: TWideStringField;
    Timer1: TTimer;
    DBGRecebidas: TDBGrid;
    LblUsu: TLabel;
    Panel4: TPanel;
    Panel5: TPanel;
    BitBtn1: TBitBtn;
    LblLogout: TBitBtn;
    TbNoVasID: TAutoIncField;
    TbNoVasUsuario: TWideStringField;
    TbNoVasPARA: TWideStringField;
    TbNoVasASSUNTO: TWideStringField;
    TbNoVasMSG: TMemoField;
    TbNoVasLIDA: TWideStringField;
    TbNoVasDATA: TDateTimeField;
    TbRecebidas: TADOTable;
    DsRecebidas: TDataSource;
    TbRecebidasID: TAutoIncField;
    TbRecebidasUsuario: TWideStringField;
    TbRecebidasPARA: TWideStringField;
    TbRecebidasASSUNTO: TWideStringField;
    TbRecebidasMSG: TMemoField;
    TbRecebidasLIDA: TWideStringField;
    TbRecebidasDATA: TDateTimeField;
    procedure FormShow(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Timer1Timer(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure LblLogoutClick(Sender: TObject);
    procedure DBGNovasDblClick(Sender: TObject);
    procedure DBGRecebidasDblClick(Sender: TObject);
    procedure DBGEnviadasDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Usu:String;
  end;

var
  FrmPrin: TFrmPrin;

implementation

uses UntSCMSG, UntEnviarMSG, UntLerMSG;

{$R *.dfm}

procedure TFrmPrin.FormShow(Sender: TObject);
begin
FrmMain.GroupBox2.Visible:=False;
FrmMain.GroupBox3.Visible:=False;
FrmMain.LblMSG.Caption:='';
end;

procedure TFrmPrin.FormActivate(Sender: TObject);
begin
FrmMain.Fecha:=False;
Timer1.Enabled:=True;
LblUsu.Caption:=Usu;
TbMSG.Active:=True;
TbNoVas.Active:=True;
TbMSG.Filtered:=True;
TbNoVas.Filtered:=True;
TbRecebidas.Filtered:=True;
TbNoVas.Filter:='Para='+QuotedStr(LblUsu.Caption)+'And Lida='+QuotedStr('N');
TbMSG.Filter:='Usuario='+QuotedStr(LblUsu.Caption);
TbRecebidas.Filter:='Para='+QuotedStr(LblUsu.Caption)+'And Lida='+QuotedStr('S');
end;

procedure TFrmPrin.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Application.Terminate;
Timer1.Enabled:=False;
end;

procedure TFrmPrin.Timer1Timer(Sender: TObject);
begin
TbMSG.Refresh;
TbNoVas.Refresh;
TbRecebidas.Refresh;
FrmPrin.Refresh;
end;

procedure TFrmPrin.BitBtn1Click(Sender: TObject);
begin
Application.CreateForm(TFrmEnviarMSG,FrmEnviarMSG);
FrmEnviarMSG.TbEnviarMSG.Active:=True;
FrmEnviarMSG.TbEnviarMSG.Append;
FrmEnviarMSG.TbLocUsu.Active:=True;
FrmEnviarMSG.TbEnviarMSGUsuario.Value:=LblUsu.Caption;
FrmEnviarMSG.Show;
end;

procedure TFrmPrin.LblLogoutClick(Sender: TObject);
begin
FrmPrin.Hide;
FrmMain.GroupBox2.Visible:=True;
FrmMain.GroupBox3.Visible:=True;
FrmMain.LblMSG.Caption:='';
FrmMain.TxtLogin.Clear;
FrmMain.TxtSenha.Clear;
FrmMain.Fecha:=True;
end;

procedure TFrmPrin.DBGNovasDblClick(Sender: TObject);
begin
If TbNoVasID.Value<=0 Then
  Begin
    Application.MessageBox('No h menssagens ou voc nao clicou em uma delas !!','SC Software',MB_ICONEXCLAMATION);
end
      Else
        Begin
          Application.CreateForm(TFrmLerMSG,FrmLerMSG);
          FrmLerMSG.TbLerMSG.Active:=True;
          FrmLerMSG.TbLerMSG.Filtered:=True;
          FrmLerMSG.TbLerMSG.Filter:='ID='+QuotedStr(TbNoVasID.AsVariant);
          TbNoVas.Edit;
          TbNoVasLIDA.Value:='S';
          TbNoVas.Post;
          FrmLerMSG.BdcResponder.Caption:='Responder';
          FrmLerMSG.ShowModal;
      end
end;

procedure TFrmPrin.DBGRecebidasDblClick(Sender: TObject);
begin
If TbRecebidasID.Value<=0 Then
  Begin
    Application.MessageBox('No h menssagens ou voc nao clicou em uma delas !!','SC Software',MB_ICONEXCLAMATION);
end
      Else
        Begin
          Application.CreateForm(TFrmLerMSG,FrmLerMSG);
          FrmLerMSG.TbLerMSG.Active:=True;
          FrmLerMSG.TbLerMSG.Filtered:=True;
          FrmLerMSG.TbLerMSG.Filter:='ID='+QuotedStr(TbRecebidasID.AsVariant);
          FrmLerMSG.BdcResponder.Caption:='Responder';
          FrmLerMSG.ShowModal;
      end
end;

procedure TFrmPrin.DBGEnviadasDblClick(Sender: TObject);
begin
If TbMSGID.Value<=0 Then
  Begin
    Application.MessageBox('No h menssagens ou voc nao clicou em uma delas !!','SC Software',MB_ICONEXCLAMATION);
end
      Else
        Begin
          Application.CreateForm(TFrmLerMSG,FrmLerMSG);
          FrmLerMSG.TbLerMSG.Active:=True;
          FrmLerMSG.TbLerMSG.Filtered:=True;
          FrmLerMSG.TbLerMSG.Filter:='ID='+QuotedStr(TbMSGID.AsVariant);
          FrmLerMSG.BdcResponder.Caption:='Fechar';
          FrmLerMSG.ShowModal;
      end
end;

end.
