unit UntCadUsu;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Buttons, DB, Mask, DBCtrls, ADODB;

type
  TFrmCadUsu = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    LblMSG: TLabel;
    TbCadUsu: TADOTable;
    TbCadUsuCod: TAutoIncField;
    TbCadUsuNome: TWideStringField;
    TbCadUsuDtNasc: TDateTimeField;
    TbCadUsulogin: TWideStringField;
    TbCadUsusenha: TWideStringField;
    TbCadUsuEnd: TWideStringField;
    TbCadUsuCEP: TWideStringField;
    TbCadUsuBairro: TWideStringField;
    TbCadUsuCidade: TWideStringField;
    TbCadUsuConf: TBooleanField;
    Label1: TLabel;
    TxtNome: TDBEdit;
    DsCadUsu: TDataSource;
    Label2: TLabel;
    TxtDN: TDBEdit;
    Label3: TLabel;
    TxtLogin: TDBEdit;
    Label4: TLabel;
    TxtSenha: TDBEdit;
    Label5: TLabel;
    TxtEnd: TDBEdit;
    Label7: TLabel;
    TxtCep: TDBEdit;
    Label8: TLabel;
    TxtBairro: TDBEdit;
    Label10: TLabel;
    TxtCidade: TDBEdit;
    Label9: TLabel;
    BdcSalvar: TBitBtn;
    BdcCancelar: TBitBtn;
    LblMsgC: TLabel;
    TxtConfS: TEdit;
    Label6: TLabel;
    procedure BdcSalvarClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BdcCancelarClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure TxtDNKeyPress(Sender: TObject; var Key: Char);
    procedure TxtNomeKeyPress(Sender: TObject; var Key: Char);
    procedure TxtLoginKeyPress(Sender: TObject; var Key: Char);
    procedure TxtSenhaKeyPress(Sender: TObject; var Key: Char);
    procedure TxtConfSKeyPress(Sender: TObject; var Key: Char);
    procedure TxtEndKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCepKeyPress(Sender: TObject; var Key: Char);
    procedure TxtBairroKeyPress(Sender: TObject; var Key: Char);
    procedure TxtCidadeKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmCadUsu: TFrmCadUsu;

implementation

uses UntSCMSG;

{$R *.dfm}

procedure TFrmCadUsu.BdcSalvarClick(Sender: TObject);
begin
If (TxtDN.Text='') or (TxtNome.Text='') or (TxtLogin.Text='') or (TxtSenha.Text='') or (TxtConfS.Text='') or (TxtSenha.Text='') Then
  Begin
    LblMsgC.Caption:='Dados insuficiente para completar o cadstro! Preencha todos os campos (*) obrigatrios.';
end
      Else
        If TxtConfS.Text <> TxtSenha.Text Then
          Begin
            LblMsgC.Caption:='Senhas no conferen!';
            TxtSenha.Clear;
            TxtConfS.Clear;
            TxtSenha.SetFocus;
      end
              Else
                If TbCadUsu.Locate('Login',TxtLogin.Text+'@sc.com.br',[]) Then
                  Begin
                    LblMsgC.Caption:='Este login ja existe! Tente outro.';
              end
              Else
            Begin
          TbCadUsulogin.Value:=TxtLogin.Text+Label6.Caption;
          TbCadUsu.Post;
          FrmMain.TbUsu.Refresh;
          FrmMain.Refresh;
          Application.MessageBox('Obrigado por utilizar o SC MSG!!!','SC Software',MB_ICONASTERISK);
          FrmCadUsu.Close;
      end
end;

procedure TFrmCadUsu.FormClose(Sender: TObject; var Action: TCloseAction);
begin
Action:=caFree;
FrmCadUsu:=Nil;
TbCadUsu.Active:=False;
FrmMain.TbUsu.Active:=False;
FrmMain.TbUsu.Active:=True;
end;

procedure TFrmCadUsu.BdcCancelarClick(Sender: TObject);
begin
TbCadUsu.Cancel;
FrmCadUsu.Close;
end;

procedure TFrmCadUsu.FormActivate(Sender: TObject);
begin
TbCadUsu.Active:=True;
TbCadUsu.Append;
TbCadUsuDtNasc.EditMask:='!##\/##\/##;1;_';
TbCadUsuCEP.EditMask:='!#####\-###;1;_';
TxtDN.SetFocus;
end;

procedure TFrmCadUsu.TxtDNKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtNomeKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtLoginKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtSenhaKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtConfSKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtEndKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtCepKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtBairroKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

procedure TFrmCadUsu.TxtCidadeKeyPress(Sender: TObject; var Key: Char);
begin
If Key=#13 Then
  Begin
    SelectNext(ActiveControl,True,True);
    Key:=#0
end
end;

end.
